Delete Calculation-specific Conversation
delete
/ai/applications/{applicationName}/databases/{databaseName}/calculation/conversation/{conversationId}
Deletes the specified conversation.
Request
Path Parameters
-
applicationName(required):
Application name.
-
conversationId(required):
Conversation ID.
-
databaseName(required):
Database name.
Response
200 Response
OK
Conversation dropped successfully.
400 Response
Bad Request
Failed to drop conversation.
Examples
The following example shows how to delete a calculation specific conversation.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X 'DELETE' \
'http://myserver.example.com:9000/essbase/rest/v1/ai/applications/SampleAI/databases/Basic/calculation/conversation/5743A7C1-FF0B-A9A6-E063-4F424664BC72' \
-H 'accept: */*' \
-u %User%:%Password%